## pycurl 7.43.0

=== Makefile ===
#
# to use a specific python version call
#   `make PYTHON=python2.7'
#

SHELL = /bin/sh

PYTHON = python
NOSETESTS = nosetests

# -c on linux
# freebsd does not understand -c
CHMOD_VERBOSE=-v

BUILD_WWW = build/www

RSYNC = rsync
##RSYNC_FLAGS = -av --relative -e ssh
RSYNC_FLAGS = -av --relative --delete --delete-after -e ssh

RSYNC_FILES = \
	htdocs \
	htdocs/download/.htaccess \
	upload

RSYNC_EXCLUDES = \
	'--exclude=htdocs/download/' \
	'--exclude=upload/Ignore/' \
	'--exclude=htdocs/travis-deps/'

RSYNC_TARGET = /home/groups/p/py/pycurl/

RSYNC_USER = armco@web.sourceforge.net

# src/module.c is first because it declares global variables
# which other files reference; important for single source build
SOURCES = src/module.c src/easy.c src/multi.c src/oscompat.c src/pythoncompat.c \
	src/share.c src/stringcompat.c src/threadsupport.c

GEN_SOURCES = src/docstrings.c src/docstrings.h

ALL_SOURCES = src/pycurl.h $(GEN_SOURCES) $(SOURCES)

RELEASE_SOURCES = src/allpycurl.c

DOCSTRINGS_SOURCES = \
	doc/docstrings/curl.rst \
	doc/docstrings/curl_close.rst \
	doc/docstrings/curl_errstr.rst \
	doc/docstrings/curl_getinfo.rst \
	doc/docstrings/curl_pause.rst \
	doc/docstrings/curl_perform.rst \
	doc/docstrings/curl_reset.rst \
	doc/docstrings/curl_setopt.rst \
	doc/docstrings/curl_unsetopt.rst \
	doc/docstrings/multi.rst \
	doc/docstrings/multi_add_handle.rst \
	doc/docstrings/multi_assign.rst \
	doc/docstrings/multi_close.rst \
	doc/docstrings/multi_fdset.rst \
	doc/docstrings/multi_info_read.rst \
	doc/docstrings/multi_perform.rst \
	doc/docstrings/multi_remove_handle.rst \
	doc/docstrings/multi_select.rst \
	doc/docstrings/multi_setopt.rst \
	doc/docstrings/multi_socket_action.rst \
	doc/docstrings/multi_socket_all.rst \
	doc/docstrings/multi_timeout.rst \
	doc/docstrings/pycurl_global_cleanup.rst \
	doc/docstrings/pycurl_global_init.rst \
	doc/docstrings/pycurl_module.rst \
	doc/docstrings/pycurl_version_info.rst \
	doc/docstrings/share.rst \
	doc/docstrings/share_close.rst \
	doc/docstrings/share_setopt.rst

all: build
src-release: $(RELEASE_SOURCES)

src/docstrings.c src/docstrings.h: $(DOCSTRINGS_SOURCES)
	$(PYTHON) setup.py docstrings

src/allpycurl.c: $(ALL_SOURCES)
	echo '#define PYCURL_SINGLE_FILE' >src/.tmp.allpycurl.c
	cat src/pycurl.h >>src/.tmp.allpycurl.c
	cat src/docstrings.c $(SOURCES) |sed -e 's/#include "pycurl.h"//' -e 's/#include "docstrings.h"//' >>src/.tmp.allpycurl.c
	mv src/.tmp.allpycurl.c src/allpycurl.c

gen: $(ALL_SOURCES)

build: $(ALL_SOURCES)
	$(PYTHON) setup.py build

build-release: $(RELEASE_SOURCES)
	PYCURL_RELEASE=1 $(PYTHON) setup.py build

do-test:
	cd tests/fake-curl/libcurl && make
	./tests/run.sh
	./tests/ext/test-suite.sh
	pyflakes python examples tests setup.py winbuild.py

test: build do-test
test-release: build-release do-test

# rails-style alias
c: console
console:
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	$(PYTHON)

# (needs GNU binutils)
strip: build
	strip -p --strip-unneeded build/lib*/*.so
	chmod -x build/lib*/*.so

install install_lib:
	$(PYTHON) setup.py $@

clean:
	-rm -rf build dist
	-rm -f *.pyc *.pyo */*.pyc */*.pyo */*/*.pyc */*/*.pyo
	-rm -f MANIFEST
	-rm -f src/allpycurl.c $(GEN_SOURCES)

distclean: clean

maintainer-clean: distclean

dist sdist: distclean
	$(PYTHON) setup.py sdist

run-quickstart:
	./tests/run-quickstart.sh

# Rebuild missing or changed documentation.
# Editing docstrings in Python or C source will not cause the documentation
# to be rebuilt with this target, use docs-force instead.
docs: build
	mkdir -p build/docstrings
	for file in doc/docstrings/*.rst; do tail -n +3 $$file >build/docstrings/`basename $$file`; done
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	sphinx-build doc build/doc
	cp ChangeLog build/doc

# Rebuild all documentation.
# As sphinx extracts documentation from pycurl modules, docs targets
# depend on build target.
docs-force: build
	# sphinx-docs has an -a option but it does not seem to always
	# rebuild everything
	rm -rf build/doc
	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
	sphinx-build doc build/doc
	cp ChangeLog build/doc

www: docs
	mkdir -p build
	rsync -a www build --delete
	rsync -a build/doc/ build/www/htdocs/doc --exclude .buildinfo --exclude .doctrees
	cp doc/static/favicon.ico build/www/htdocs
	cp ChangeLog build/www/htdocs

rsync: rsync-prepare
	cd $(BUILD_WWW) && \
	$(RSYNC) $(RSYNC_FLAGS) $(RSYNC_EXCLUDES) $(RSYNC_FILES) $(RSYNC_USER):$(RSYNC_TARGET)

rsync-dry:
	$(MAKE) rsync 'RSYNC=rsync --dry-run'

rsync-check:
	$(MAKE) rsync 'RSYNC=rsync --dry-run -c'

# NOTE: Git does not maintain metadata like owners and file permissions,
#       so we have to care manually.
# NOTE: rsync targets depend on www.
rsync-prepare:
	chgrp $(CHMOD_VERBOSE) -R pycurl $(BUILD_WWW)
	chmod $(CHMOD_VERBOSE) g+r `find $(BUILD_WWW) -perm +400 -print`
	chmod $(CHMOD_VERBOSE) g+w `find $(BUILD_WWW) -perm +200 -print`
	chmod $(CHMOD_VERBOSE) g+s `find $(BUILD_WWW) -type d -print`
##	chmod $(CHMOD_VERBOSE) g+rws `find $(BUILD_WWW) -type d -perm -770 -print`
	chmod $(CHMOD_VERBOSE) g+rws `find $(BUILD_WWW) -type d -print`
	chmod $(CHMOD_VERBOSE) o-rwx $(BUILD_WWW)/upload
	#-rm -rf `find $(BUILD_WWW) -name .xvpics -type d -print`

.PHONY: all build test do-test strip install install_lib \
	clean distclean maintainer-clean dist sdist \
	docs docs-force \
	rsync rsync-dry rsync-check rsync-prepare

.NOEXPORT:

=== tests/fake-curl/libcurl/Makefile ===
all: \
	with_gnutls.so \
	with_nss.so \
	with_openssl.so \
	with_unknown_ssl.so \
	without_ssl.so

.SUFFIXES: .c .so

.c.so:
	`curl-config --cc` `curl-config --cflags` -shared -fPIC \
		-Wl,-soname,$@ -o $@ $<

show-targets:
	ls *c |sed -e 's/.c$$/.so/' | awk '{print $$1 " \\"}'

=== debian/changelog ===
pycurl (7.43.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 10 Mar 2016 11:54:05 -0500

pycurl (7.43.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Add python{,3}-flaky to Build-Depends for test suite.
    - Test suite runs at build time but still fails, so continue not to fail.
    - Bump Standards-Version to 3.9.7 with no other changes necessary.
  * d/tests: Add a live test which downloads a well published resource.
    (Closes: #763770)

 -- Barry Warsaw <barry@debian.org>  Thu, 10 Mar 2016 11:19:37 -0500

pycurl (7.21.5-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 12 Jan 2016 16:18:53 -0500

pycurl (7.21.5-1) unstable; urgency=medium

  * New upstream release.
  * d/tests/control: Add a smoketest for Python 2 and 3.

 -- Barry Warsaw <barry@debian.org>  Tue, 12 Jan 2016 14:53:53 -0500

pycurl (7.19.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 30_find-perm_slash.diff: Use "find -perm /x" instead of "find -perm +x".
    Closes: #808922

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Dec 2015 14:30:53 +0100

pycurl (7.19.5.3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 18 Nov 2015 14:04:23 -0500

pycurl (7.19.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 18 Nov 2015 13:46:28 -0500

=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               libcurl4-gnutls-dev (>= 7.19.0),
               libgnutls28-dev,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-docutils,
               python-flaky,
               python-nose,
               python-sphinx,
               python3-all-dbg,
               python3-all-dev,
               python3-flaky,
Standards-Version: 3.9.7
X-Python-Version: all
X-Python3-Version: >= 3.3
Homepage: http://pycurl.sourceforge.net
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pycurl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/pycurl.git

Package: python-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev,
          python-pycurl-dbg,
          python-pycurl-doc,
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 2.

Package: python3-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev,
          python-pycurl-doc,
          python3-pycurl-dbg,
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 3.

Package: python-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbg,
         python-pycurl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (debug extension)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-dbg,
         python3-pycurl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (debug extension, Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-pycurl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: Python bindings to libcurl (documentation)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains the PyCURL documentation.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PY2VERS := $(shell pyversions -vs)
PY3VERS := $(shell py3versions -vs)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

unexport LDFLAGS
export FFLAGS="-fPIC"

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	make gen
	set -e ;\
	for py in $(PY2VERS) $(PY3VERS) ; do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done
	mkdir -p www/htdocs/doc
	$(MAKE) docs

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-set -e ;\
	for py in $(PY2VERS) $(PY3VERS) ; do \
		PYTHON=$$py make test; \
	done
endif

override_dh_auto_install:
	for py in $(PY2VERS); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python-pycurl --install-layout=deb; \
		python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-pycurl-dbg --install-layout=deb; \
	done
	for py in $(PY3VERS); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python3-pycurl --install-layout=deb; \
		python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-pycurl-dbg --install-layout=deb; \
	done

	# Remove documentation as installed by setup.py
	rm -rf $(CURDIR)/debian/python*-pycurl*/usr/share/doc/pycurl

	rm -rf $(CURDIR)/debian/python*-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python*-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info

override_dh_installdocs:
	mkdir -p debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
	cp -a build/doc/*.html $(CURDIR)/debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
	dh_installdocs -ppython-pycurl -ppython-pycurl-dbg --link-doc=python-pycurl
	dh_installdocs -ppython3-pycurl -ppython3-pycurl-dbg --link-doc=python3-pycurl
	dh_installdocs -ppython-pycurl-doc

override_dh_installexamples:
	dh_installexamples -ppython-pycurl-doc examples/*

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycurl --dbg-package=python-pycurl-dbg
	dh_strip -ppython3-pycurl --dbg-package=python3-pycurl-dbg
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python-pycurl*.substvars

=== debian/tests/control ===
# -*- sh -*-
# pycurl apparently does not export its package version.

Test-Command: python -c "import curl; print curl.__file__"

Test-Command: python3 -c "import curl; print(curl.__file__)"

Tests: livetest.sh
Depends: @, ca-certificates
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pycurl/pycurl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycurl 7.43.0.1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 PYTHON = python
 NOSETESTS = nosetests
+PYFLAKES = pyflakes
 
 # -c on linux
 # freebsd does not understand -c
@@ -53,6 +54,7 @@
 	doc/docstrings/curl_reset.rst \
 	doc/docstrings/curl_setopt.rst \
 	doc/docstrings/curl_unsetopt.rst \
+	doc/docstrings/curl_set_ca_certs.rst \
 	doc/docstrings/multi.rst \
 	doc/docstrings/multi_add_handle.rst \
 	doc/docstrings/multi_assign.rst \
@@ -98,7 +100,7 @@
 	cd tests/fake-curl/libcurl && make
 	./tests/run.sh
 	./tests/ext/test-suite.sh
-	pyflakes python examples tests setup.py winbuild.py
+	$(PYFLAKES) python examples tests setup.py winbuild.py
 
 test: build do-test
 test-release: build-release do-test

=== debian/changelog ===
pycurl (7.43.0.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * d/control:
   - Updates versioned dependency on libcurl

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 01 Feb 2018 20:23:45 +0000

pycurl (7.43.0.1-0.1) unstable; urgency=medium

  [ Iain R. Learmonth ]
  * Non-maintainer upload
  * New upstream release (Closes: #886486)

  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and myself in Uploaders.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 22 Jan 2018 08:34:00 +0000

pycurl (7.43.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * Bump debhelper compat version to 9
  * Standards-Version is 3.9.8 now (no changes needed)
  * Removed privacy breach in docs

  [ Barry Warsaw ]
  * d/rules: Prevent network access during package tests. (Closes: #830281)

 -- Barry Warsaw <barry@debian.org>  Thu, 15 Dec 2016 10:55:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Barry Warsaw <barry@debian.org>
+Build-Depends: debhelper (>= 9),
                dh-python,
-               libcurl4-gnutls-dev (>= 7.19.0),
+               libcurl4-gnutls-dev (>= 7.57.0),
                libgnutls28-dev,
+               libssh2-1-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
+               python-bottle,
                python-docutils,
                python-flaky,
                python-nose,
@@ -17,12 +18,12 @@
                python3-all-dbg,
                python3-all-dev,
                python3-flaky,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: all
 X-Python3-Version: >= 3.3
 Homepage: http://pycurl.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pycurl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/pycurl.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pycurl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pycurl.git
 
 Package: python-pycurl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,15 @@
 
 unexport LDFLAGS
 export FFLAGS="-fPIC"
+
+# Prevent network access for local builds by proxying HTTP/HTTPS to the
+# discard port.  If we were using pybuild, this would happen automatically,
+# but not having it potentially allows local builds to succeed where official
+# buildds (which by default block network access during package build) would
+# fail.
+export http_proxy = http://127.0.0.1:9/
+export https_proxy = https://127.0.0.1:9/
+
 
 %:
 	dh $@ --with python2,python3,sphinxdoc

## pycurl 7.43.0.2

=== debian/changelog ===
pycurl (7.43.0.2-7) unstable; urgency=medium

  * Team upload.
  * Regenerate test certificates with sha256 signatures

 -- Scott Talbert <swt@techie.net>  Wed, 12 Aug 2020 20:03:31 -0400

pycurl (7.43.0.2-6) unstable; urgency=medium

  * Team upload.
  * Fix seek callback's use of offset parameter

 -- Scott Talbert <swt@techie.net>  Wed, 12 Aug 2020 14:46:56 -0400

pycurl (7.43.0.2-5) unstable; urgency=medium

  * Team upload.
  * Fix tests on non-x86_64 architectures

 -- Scott Talbert <swt@techie.net>  Wed, 12 Aug 2020 09:33:11 -0400

pycurl (7.43.0.2-4) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.5.0 (no changes needed)
  * Remove Python 2 test from runtime tests script
  * Test only supported Python versions
  * Get build-time unit tests working
  * Fix documentation issues

 -- Scott Talbert <swt@techie.net>  Tue, 11 Aug 2020 22:35:49 -0400

pycurl (7.43.0.2-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937415
  * debian/control
    - annotate flaky as nocheck, patch by Helmut Grohne; Closes: #929194

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 23:22:15 -0400

pycurl (7.43.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.

  [ Sandro Tosi ]
  * Use python3-sphinx to build doc

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 01:38:39 -0400

pycurl (7.43.0.2-1) unstable; urgency=medium

  * Team upload.
  * debian/control
    - remove python-bottle, add python3-bottle to b-d; src:pycurl was the last
      rdep for bin:python-bottle

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 23:35:30 -0500

pycurl (7.43.0.2-0.1) unstable; urgency=medium

  [ Iain R. Learmonth ]
  * Non maintainer upload
  * New upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 07 Jan 2019 11:00:03 +0000

=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libcurl4-gnutls-dev (>= 7.57.0),
               libgnutls28-dev,
               libssh2-1-dev,
               pyflakes3 <!nocheck>,
               python3-sphinx,
               python3-all-dbg,
               python3-all-dev,
               python3-bottle <!nocheck>,
               python3-flaky <!nocheck>,
               python3-nose <!nocheck>,
               vsftpd <!nocheck>,
Standards-Version: 4.5.0
X-Python-Version: all
Homepage: http://pycurl.sourceforge.net
Vcs-Git: https://salsa.debian.org/python-team/modules/pycurl.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pycurl

Package: python3-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev,
          python-pycurl-doc,
          python3-pycurl-dbg,
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 3.

Package: python3-pycurl-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pycurl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (debug extension, Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-pycurl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python bindings to libcurl (documentation)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains the PyCURL documentation.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PY3VERS := $(shell py3versions -vs)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

unexport LDFLAGS
export FFLAGS="-fPIC"


%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -f tests/fake-curl/libcurl/*.so

override_dh_auto_build:
	$(MAKE) gen PYTHON=python3
	for py in $(PY3VERS) ; do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done
	mkdir -p www/htdocs/doc
	$(MAKE) docs PYTHON=python3

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	for py in $(PY3VERS) ; do \
		make test PYTHON=python$$py NOSETESTS="nosetests3 -v" PYFLAKES=pyflakes3 PYCURL_VSFTPD_PATH=vsftpd; \
	done
endif

override_dh_auto_install:
	for py in $(PY3VERS); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python3-pycurl --install-layout=deb; \
		python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-pycurl-dbg --install-layout=deb; \
	done

	# Remove documentation as installed by setup.py
	rm -rf $(CURDIR)/debian/python*-pycurl*/usr/share/doc/pycurl

	rm -rf $(CURDIR)/debian/python*-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python*-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info

override_dh_installdocs:
	mkdir -p debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
	cp -a build/doc/* $(CURDIR)/debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
	dh_installdocs -ppython3-pycurl -ppython3-pycurl-dbg --link-doc=python3-pycurl
	dh_installdocs -ppython-pycurl-doc

override_dh_installexamples:
	dh_installexamples -ppython-pycurl-doc examples/*

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-pycurl --dbg-package=python3-pycurl-dbg
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python3-pycurl*.substvars

=== debian/tests/control ===
# -*- sh -*-
# pycurl apparently does not export its package version.

Test-Command: python3 -c "import curl; print(curl.__file__)"

Tests: livetest.sh
Depends: @, ca-certificates, python3-all
Restrictions: allow-stderr

## pycurl 7.43.0.6

=== debian/changelog ===
pycurl (7.43.0.6-5) unstable; urgency=medium

  * Team upload
  * Fix tests
    - Skip invalid UTF-8 tests not working with latest python-bottle
    - Disable IPv6 proxy for accessing ::1

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 12 Jan 2021 21:04:36 +0100

pycurl (7.43.0.6-4) unstable; urgency=medium

  * Replace gcc with build-essential in test Depends

 -- Scott Talbert <swt@techie.net>  Thu, 08 Oct 2020 20:27:35 -0400

pycurl (7.43.0.6-3) unstable; urgency=medium

  * Add gcc to test Depends

 -- Scott Talbert <swt@techie.net>  Thu, 08 Oct 2020 09:51:08 -0400

pycurl (7.43.0.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Talbert ]
  * Remove Barry Warsaw as Uploader and add myself (Closes: #970164)
  * Update autopkgtests to run upstream test suite

 -- Scott Talbert <swt@techie.net>  Wed, 07 Oct 2020 19:31:57 -0400

pycurl (7.43.0.6-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 7.43.0.6
  * Remove upstreamed patches/fixes
  * Update privacy breach patch
  * Don't run pyflakes on winbuild.py

 -- Scott Talbert <swt@techie.net>  Sun, 06 Sep 2020 09:18:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Barry Warsaw <barry@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libcurl4-gnutls-dev (>= 7.57.0),
@@ -19,8 +19,8 @@
 Standards-Version: 4.5.0
 X-Python-Version: all
 Homepage: http://pycurl.sourceforge.net
-Vcs-Git: https://salsa.debian.org/python-team/modules/pycurl.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pycurl
+Vcs-Git: https://salsa.debian.org/python-team/packages/pycurl.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pycurl
 
 Package: python3-pycurl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 
 %:
 	dh $@ --with python3,sphinxdoc
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f tests/fake-curl/libcurl/*.so
 
 override_dh_auto_build:
 	$(MAKE) gen PYTHON=python3

=== debian/tests/control ===
# -*- sh -*-
# pycurl apparently does not export its package version.

Test-Command: python3 -c "import curl; print(curl.__file__)"

Tests: livetest.sh
Depends: @, build-essential, ca-certificates, libcurl4-gnutls-dev, pyflakes3, python3-all, python3-bottle, python3-flaky, python3-nose, vsftpd
Restrictions: allow-stderr

## pycurl 7.44.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SHELL = /bin/sh
 
 PYTHON = python
-NOSETESTS = nosetests
+PYTEST = pytest
 PYFLAKES = pyflakes
 
 # -c on linux
@@ -35,8 +35,9 @@
 
 # src/module.c is first because it declares global variables
 # which other files reference; important for single source build
-SOURCES = src/module.c src/easy.c src/multi.c src/oscompat.c src/pythoncompat.c \
-	src/share.c src/stringcompat.c src/threadsupport.c
+SOURCES = src/easy.c src/easycb.c src/easyinfo.c src/easyopt.c src/easyperform.c \
+	src/module.c src/multi.c src/oscompat.c src/pythoncompat.c \
+	src/share.c src/stringcompat.c src/threadsupport.c src/util.c
 
 GEN_SOURCES = src/docstrings.c src/docstrings.h
 
@@ -48,7 +49,9 @@
 	doc/docstrings/curl.rst \
 	doc/docstrings/curl_close.rst \
 	doc/docstrings/curl_errstr.rst \
+	doc/docstrings/curl_errstr_raw.rst \
 	doc/docstrings/curl_getinfo.rst \
+	doc/docstrings/curl_getinfo_raw.rst \
 	doc/docstrings/curl_pause.rst \
 	doc/docstrings/curl_perform.rst \
 	doc/docstrings/curl_reset.rst \
@@ -97,10 +100,10 @@
 	PYCURL_RELEASE=1 $(PYTHON) setup.py build
 
 do-test:
-	cd tests/fake-curl/libcurl && make
+	make -C tests/fake-curl/libcurl
 	./tests/run.sh
 	./tests/ext/test-suite.sh
-	$(PYFLAKES) python examples tests setup.py winbuild.py
+	$(PYFLAKES) python examples tests setup.py
 
 test: build do-test
 test-release: build-release do-test
@@ -142,9 +145,9 @@
 docs: build
 	mkdir -p build/docstrings
 	for file in doc/docstrings/*.rst; do tail -n +3 $$file >build/docstrings/`basename $$file`; done
-	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
+	PYTHONSUFFIX=$$($(PYTHON) -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
 	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
-	sphinx-build doc build/doc
+	$(PYTHON) -m sphinx doc build/doc
 	cp ChangeLog build/doc
 
 # Rebuild all documentation.
@@ -154,9 +157,9 @@
 	# sphinx-docs has an -a option but it does not seem to always
 	# rebuild everything
 	rm -rf build/doc
-	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
+	PYTHONSUFFIX=$$($(PYTHON) -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
 	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
-	sphinx-build doc build/doc
+	$(PYTHON) -m sphinx doc build/doc
 	cp ChangeLog build/doc
 
 www: docs

=== tests/fake-curl/libcurl/Makefile ===
ALL = \
	with_gnutls.so \
	with_nss.so \
	with_openssl.so \
	with_unknown_ssl.so \
	without_ssl.so

all: $(ALL)
clean:
	rm -f $(ALL)

.SUFFIXES: .c .so

CC = `curl-config --cc`
CFLAGS += `curl-config --cflags`

.c.so:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fPIC \
		-Wl,-soname,$@ -o $@ $<

show-targets:
	ls *c |sed -e 's/.c$$/.so/' | awk '{print $$1 " \\"}'

=== debian/changelog ===
pycurl (7.44.1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:38:19 +0000

pycurl (7.44.1-4) unstable; urgency=medium

  * Ensure tests are run with the correct Python version

 -- Scott Talbert <swt@techie.net>  Thu, 17 Feb 2022 13:28:31 -0500

pycurl (7.44.1-3) unstable; urgency=medium

  * Skip tests that require internet access (Closes: #994524)

 -- Scott Talbert <swt@techie.net>  Fri, 17 Sep 2021 14:08:49 -0400

pycurl (7.44.1-2) unstable; urgency=medium

  * Replace -dbg package with autogenerated -dbgsym package (Closes: #994325)

 -- Scott Talbert <swt@techie.net>  Tue, 14 Sep 2021 22:32:34 -0400

pycurl (7.44.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Don't build documentation in archonly build. (Closes: #981787)

  [ Scott Talbert ]
  * Update to new upstream release 7.44.1
  * Update patches and drop upstreamed ones
  * Switch from nose to pytest
  * Use setuptools instead of distutils
  * Enable hardening
  * Upgrade d/watch file to version 4
  * Rules-Requires-Root: no
  * Update to debhelper-compat 13
  * Update Standards-Version to 4.6.0

 -- Scott Talbert <swt@techie.net>  Wed, 18 Aug 2021 11:54:53 -0400

=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libcurl4-gnutls-dev (>= 7.57.0),
               libgnutls28-dev,
               libssh2-1-dev,
               python3-all-dev,
               python3-bottle <!nocheck>,
               python3-flaky <!nocheck>,
               python3-pyflakes <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               vsftpd <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-sphinx,
Standards-Version: 4.6.0
X-Python-Version: all
Homepage: http://pycurl.sourceforge.net
Vcs-Git: https://salsa.debian.org/python-team/packages/pycurl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycurl
Rules-Requires-Root: no

Package: python3-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev,
          python-pycurl-doc,
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains PyCURL for Python 3.

Package: python-pycurl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python bindings to libcurl (documentation)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.
 .
 This package contains the PyCURL documentation.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PY3VERS := $(shell py3versions -vs)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DO_PACKAGES = $(shell dh_listpackages)

%:
	dh $@ --with python3

override_dh_auto_build:
	$(MAKE) gen PYTHON=python3
	for py in $(PY3VERS) ; do \
		python$$py setup.py build ; \
	done
	mkdir -p www/htdocs/doc
ifneq (,$(filter python-pycurl-doc,$(DO_PACKAGES)))
	$(MAKE) docs PYTHON=python3
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e ;\
	for py in $(PY3VERS) ; do \
		make test PYTHON=python$$py PYTEST="python$$py -m pytest" PYTEST_ADDOPTS="--ignore examples -m 'not online'" PYFLAKES="python$$py -m pyflakes" PYCURL_VSFTPD_PATH=vsftpd; \
	done
endif

override_dh_auto_install:
	for py in $(PY3VERS); do \
		python$$py setup.py install --root=$(CURDIR)/debian/python3-pycurl --install-layout=deb; \
	done

	# Remove documentation as installed by setup.py
	rm -rf $(CURDIR)/debian/python*-pycurl*/usr/share/doc/pycurl

override_dh_installdocs:
	mkdir -p debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
ifneq (,$(filter python-pycurl-doc,$(DO_PACKAGES)))
	cp -a build/doc/* $(CURDIR)/debian/python-pycurl-doc/usr/share/doc/python-pycurl-doc/html
endif
	dh_installdocs -ppython3-pycurl --link-doc=python3-pycurl
	dh_installdocs -Npython3-pycurl

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-pycurl --dbgsym-migration='python3-pycurl-dbg (<< 7.44.1-2~)'
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python3-pycurl*.substvars

=== debian/tests/control ===
# -*- sh -*-
# pycurl apparently does not export its package version.

Test-Command: python3 -c "import curl; print(curl.__file__)"

Tests: livetest.sh
Depends: @, build-essential, ca-certificates, libcurl4-gnutls-dev, python3-all, python3-bottle, python3-flaky, python3-pyflakes, python3-pytest, vsftpd
Restrictions: allow-stderr

## pycurl 7.45.1

=== debian/changelog ===
pycurl (7.45.1-2) unstable; urgency=medium

  * Fix autopkgtests from trying to run a patch

 -- Scott Talbert <swt@techie.net>  Wed, 03 Aug 2022 19:23:19 -0400

pycurl (7.45.1-1) unstable; urgency=medium

  * Update to new upstream release 7.45.1
  * Update Standards-Version to 4.6.1

 -- Scott Talbert <swt@techie.net>  Tue, 02 Aug 2022 23:02:27 -0400

pycurl (7.44.1-5) unstable; urgency=medium

  * Team upload.
  * d/p/30_fix_test_for_curl_783_compat.patch: new patch to fix error message
    check

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Apr 2022 23:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                vsftpd <!nocheck>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
                      python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 X-Python-Version: all
 Homepage: http://pycurl.sourceforge.net
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycurl.git

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -e ;\
 	for py in $(PY3VERS) ; do \
-		make test PYTHON=python$$py PYTEST="python$$py -m pytest" PYTEST_ADDOPTS="--ignore examples -m 'not online'" PYFLAKES="python$$py -m pyflakes" PYCURL_VSFTPD_PATH=vsftpd; \
+		make test PYTHON=python$$py PYTEST="python$$py -m pytest" PYTEST_ADDOPTS="--ignore examples --ignore .pc -m 'not online'" PYFLAKES="python$$py -m pyflakes" PYCURL_VSFTPD_PATH=vsftpd; \
 	done
 endif

## pycurl 7.45.2

=== debian/changelog ===
pycurl (7.45.2-3) unstable; urgency=high

  * Team upload.
  * d/p/drop_http3_test.patch: Fix test failure related to http3
  * Urgency is set to high to unblock the latest curl 7.88.1-1.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 21 Feb 2023 19:27:36 +0000

pycurl (7.45.2-2) unstable; urgency=medium

  * Install python3-setuptools to fix autopkgtests

 -- Scott Talbert <swt@techie.net>  Wed, 21 Dec 2022 10:19:25 -0500

pycurl (7.45.2-1) unstable; urgency=medium

  * Update to new upstream release 7.45.2

 -- Scott Talbert <swt@techie.net>  Sun, 18 Dec 2022 11:29:46 -0500

pycurl (7.45.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libcurl4-gnutls-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 02:34:44 +0000

pycurl (7.45.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pycurl-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 18:12:58 +0000

pycurl (7.45.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1022960)
    + Multiarchify python Build-Depends.
    + Export _PYTHON_SYSCONFIGDATA_NAME.
  * Declaratively request python3 debhelper addon.

 -- Scott Talbert <swt@techie.net>  Sat, 29 Oct 2022 12:53:13 -0400

pycurl (7.45.1-3) unstable; urgency=medium

  * Fix FTBFS with newer setuptools (Closes: #1020052)

 -- Scott Talbert <swt@techie.net>  Sun, 18 Sep 2022 16:04:13 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               libcurl4-gnutls-dev (>= 7.57.0),
+               dh-sequence-python3,
+               libcurl4-gnutls-dev,
                libgnutls28-dev,
+               libpython3-all-dev,
                libssh2-1-dev,
-               python3-all-dev,
+               python3-all-dev:any,
                python3-bottle <!nocheck>,
                python3-flaky <!nocheck>,
                python3-pyflakes <!nocheck>,
@@ -44,6 +45,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Python bindings to libcurl (documentation)
  This module provides the Python bindings to libcurl. Please refer to
  the libcurl documentation available in libcurl4-gnutls-dev Debian package.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+include /usr/share/dpkg/architecture.mk
+
 PY3VERS := $(shell py3versions -vs)
 CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))
 
@@ -13,8 +15,12 @@
 
 DO_PACKAGES = $(shell dh_listpackages)
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_MULTIARCH)
+endif
+
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_build:
 	$(MAKE) gen PYTHON=python3

## pycurl 7.45.3

=== debian/changelog ===
pycurl (7.45.3-2) unstable; urgency=medium

  * Switch to building with openssl (Closes: #1065007)

 -- Scott Talbert <swt@techie.net>  Tue, 19 Mar 2024 19:50:13 -0400

pycurl (7.45.3-1) unstable; urgency=medium

  * Add egg-info and docstrings files to Files-Excluded
  * Update to new upstream release 7.45.3
  * Skip test of broken curl functionality

 -- Scott Talbert <swt@techie.net>  Wed, 28 Feb 2024 19:01:35 -0500

pycurl (7.45.2-7) unstable; urgency=medium

  * Skip one more test to fix FTBFS with curl 8.5.0 (Closes: #1058330)

 -- Scott Talbert <swt@techie.net>  Tue, 12 Dec 2023 20:32:00 -0500

pycurl (7.45.2-6) unstable; urgency=medium

  * Team upload
  * d/rules: Skip test_multi_socket_action and test_multi_socket_select tests

 -- Samuel Henrique <samueloph@debian.org>  Fri, 20 Oct 2023 00:24:47 +0100

pycurl (7.45.2-5) unstable; urgency=medium

  * Fix FTBFS on hppa (Closes: #1050408)

 -- Scott Talbert <swt@techie.net>  Thu, 24 Aug 2023 19:49:29 -0400

pycurl (7.45.2-4) unstable; urgency=medium

  * Properly clean up after build (Closes: #1047474)
  * Update Standards-Version to 4.6.2

 -- Scott Talbert <swt@techie.net>  Wed, 23 Aug 2023 23:39:23 -0400

=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libcurl4-openssl-dev,
               libpython3-all-dev,
               libssh2-1-dev,
               libssl-dev,
               python3-all-dev:any,
               python3-bottle <!nocheck>,
               python3-flaky <!nocheck>,
               python3-pyflakes <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               vsftpd <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-sphinx,
Standards-Version: 4.6.2
X-Python-Version: all
Homepage: http://pycurl.sourceforge.net
Vcs-Git: https://salsa.debian.org/python-team/packages/pycurl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycurl
Rules-Requires-Root: no

Package: python3-pycurl
Architecture: any
Suggests: libcurl4-openssl-dev,
          python-pycurl-doc,
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python bindings to libcurl (Python 3)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-openssl-dev Debian package.
 .
 NOTE: the SSL support is provided by OpenSSL.
 .
 This package contains PyCURL for Python 3.

Package: python-pycurl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python bindings to libcurl (documentation)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-openssl-dev Debian package.
 .
 NOTE: the SSL support is provided by OpenSSL.
 .
 This package contains the PyCURL documentation.

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -e ;\
 	for py in $(PY3VERS) ; do \
-		make test PYTHON=python$$py PYTEST="python$$py -m pytest" PYTEST_ADDOPTS="--ignore examples --ignore .pc -m 'not online'" PYFLAKES="python$$py -m pyflakes" PYCURL_VSFTPD_PATH=vsftpd; \
+		make test PYTHON=python$$py PYTEST="python$$py -m pytest" PYTEST_ADDOPTS="--ignore examples --ignore .pc -m 'not online' -k 'not (test_multi_socket_action or test_multi_socket_select or test_easy_pause_unpause)'" PYFLAKES="python$$py -m pyflakes" PYCURL_VSFTPD_PATH=vsftpd; \
 	done
 endif
 
@@ -69,4 +69,4 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a
-	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python3-pycurl*.substvars
+	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*t64 (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python3-pycurl*.substvars

=== debian/tests/control ===
Test-Command: python3 -c "import curl; print(curl.__file__)"

Tests: livetest.sh
Depends: build-essential,
         ca-certificates,
         libcurl4-openssl-dev,
         python3-all,
         python3-bottle,
         python3-flaky,
         python3-pyflakes,
         python3-pytest,
         python3-setuptools,
         vsftpd,
         @
Restrictions: allow-stderr
